---
lang: en
title: 'API docs: graphql.graphqlresolutioncontext'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/graphql
permalink: /doc/en/lb4/apidocs.graphql.graphqlresolutioncontext.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/graphql](./graphql.md) &gt; [GraphQLResolutionContext](./graphql.graphqlresolutioncontext.md)

## GraphQLResolutionContext class

Context for graphql resolver resolution

<b>Signature:</b>

```typescript
export declare class GraphQLResolutionContext extends Context 
```
<b>Extends:</b> [Context](./context.context.md)

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(parent, resolverClass, resolverData)](./graphql.graphqlresolutioncontext._constructor_.md) |  | Constructs a new instance of the <code>GraphQLResolutionContext</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [resolverClass](./graphql.graphqlresolutioncontext.resolverclass.md) |  | [Constructor](./context.constructor.md)<!-- -->&lt;unknown&gt; |  |
|  [resolverData](./graphql.graphqlresolutioncontext.resolverdata.md) |  | ResolverData&lt;unknown&gt; |  |


